function _m_getUrlParameter(name, location) {
	return decodeURI(
		(RegExp('[?|&]' + name + '=(.+?)(&|$)').exec(location.search)||[null,null])[1]
	);
}

function ckMediapoolCallback(filename, fullName, title, link, popup) {
	var num = _m_getUrlParameter('CKEditorFuncNum', popup.location);

	CKEDITOR.tools.callFunction(num, link, function () {
		var dialog = this.getDialog();
		dialog.setValueOf('info', 'txtAlt', title);
	});

	return true;
}

function ckLinkCallback(filename, fullName, title, link, popup) {
	var num = _m_getUrlParameter('CKEditorFuncNum', popup.location);

	CKEDITOR.tools.callFunction(num, link, function () {
		var dialog = this.getDialog();
		dialog.setValueOf('info', 'protocol', '');
	});

	return true;
}

function ckMediapoolLinkCallback(filename, fullName, title, link, popup) {
	var num = _m_getUrlParameter('CKEditorFuncNum', popup.location);

	CKEDITOR.tools.callFunction(num, link, function () {
		var dialog = this.getDialog();
		dialog.setValueOf('info', 'protocol', '');
	});

	return true;
}

jQuery(function($) {
	'use strict';

	var styleset           = 0;
	var externalRegistered = 0;

	function registerExternal(textarea) {
		var external = textarea.data('external');

		if (external) {
			$.each(external, function(name, path) {
				if (CKEDITOR.plugins.get(name) === null) {
					CKEDITOR.plugins.addExternal(name, path);
				}
			});
		}
	}

	function ckInitTextarea(textarea) {
		if (!externalRegistered) {
			registerExternal(textarea);
			externalRegistered = true;
		}

		var baseurl  = textarea.data('baseurl');
		var assets   = baseurl + 'backend/' + textarea.data('assets');
		var is08plus = !$('body').is('.sly-0_7');
		var linkmap  = is08plus ? './linkmap?callback=ckLinkCallback'            : 'index.php?page=linkmap&callback=ckLinkCallback';
		var mpool    = is08plus ? './mediapool?callback=ckMediapoolCallback'     : 'index.php?page=mediapool&callback=ckMediapoolCallback';
		var mplink   = is08plus ? './mediapool?callback=ckMediapoolLinkCallback' : 'index.php?page=mediapool&callback=ckMediapoolLinkCallback';
		var config   = {
			baseHref:                      baseurl,
			contentsCss:                   assets + 'css/contents.css',
			customConfig:                  assets + 'js/config.min.js',
			filebrowserBrowseUrl:          linkmap,
			filebrowserImageBrowseUrl:     mpool,
			filebrowserImageBrowseLinkUrl: mplink,
			coreStyles_strike:             { element: 'del' },
			coreStyles_underline:          { element: 'ins' },
			justifyClasses:                ['align_left', 'align_center', 'align_right', 'align_justify'],
			indentClasses:                 ['indent_1', 'indent_2', 'indent_3', 'indent_4', 'indent_5', 'indent_6']
		};

		var styles = textarea.data('styles');

		if (styles) {
			styleset++;

			var styleset_name = 'mystyleset' + styleset;

			if (CKEDITOR.stylesSet.get(styleset_name) === null) {
				CKEDITOR.stylesSet.add(styleset_name, styles);
				config.stylesSet = styleset_name;
			}
		}

		var config_overload = textarea.data('config');

		if (config_overload) {
			var k;

			for (k in config_overload) {
				config[k] = config_overload[k];
			}
		}

		CKEDITOR.replace(textarea[0], config);
	}

	$('.sly-form-ckeditor').each(function() {
		ckInitTextarea($(this));
	});

	$('.sly-form-ckeditor-row > .sly-form-read').on('click', function() {
		var
			span     = $(this),
			row      = span.parent(),
			textarea = span.data('textarea');

		span.prev().remove();
		span.replaceWith(textarea);
		ckInitTextarea(row.find('textarea'));

		return false;
	});

	window.ckInitTextarea = ckInitTextarea;
});
