<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

class WV_Datatype_Users extends WV_Datatype_Select implements WV_IDatatype {
	protected function getDefaultParams() {
		return array(
			'source'        => 'values',
			'query'         => '',
			'values'        => array(),
			'style'         => 'select',
			'size'          => 1,
			'min'           => 1,
			'max'           => 10000,
			'addStyle'      => '',
			'addClass'      => '',
			'setAttr'       => array(),
			'groupAttr'     => array(),
			'data_in_value' => false
		);
	}

	protected function deserializeParams(array $params, $prefix = '') {
		$result = parent::deserializeParams($params, '');
		$users  = sly_Core::getContainer()->getUserService()->find();

		foreach ($users as $user) {
			$result['values'][$user->getId()] = $user->getLogin();
		}

		return parent::deserializeParams($result, $prefix);
	}
}
