<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo;

class Authorisation {
	public static function hasPermission($right) {
		$user = \sly_Util_User::getCurrentUser();
		return $user && ($user->isAdmin() || $user->hasPermission('metainfo', $right));
	}

	public static function canView() {
		return self::hasPermission('view');
	}

	public static function canEdit() {
		return self::hasPermission('edit');
	}
}
