<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo\Filter;

use wv\metainfo\Metainfo AS MI;

class Metainfo implements \WV_Filter_Interface {
	protected $property;

	public function __construct($name, $type = MI::TYPE_ARTICLE) {
		$c = MI::getContainer();
		$this->property = $c['metainfo-service-property']->findProperty($type, $name);
	}

	public function isValueFiltered($value) {
		$objType = MI::getTypeForObject($value);

		if ($objType != $this->property->getType()) {
			return true;
		}

		if ($objType === MI::TYPE_ARTICLE) {
			if (!in_array($value->getType(), $this->property->getArticleTypes())) {
				return true;
			}
		}

		return false;
	}
}
